CREATE TABLE 
	AUDIT_MODULE 
   (
   		AUDITMODULE_ID NUMBER(7,0) NOT NULL, 
		NAMEMODULE VARCHAR2(180 BYTE) NOT NULL, 
		INDAUDITABLE NUMBER(1,0) DEFAULT 0, 
	 	PRIMARY KEY ("AUDITMODULE_ID")
   );
CREATE TABLE 
	AUDIT_SERVICE 
   (	
   		AUDITSERVICE_ID NUMBER(7,0) NOT NULL, 
		NAMESERVICE VARCHAR2(180 BYTE), 
		AUDITMODULE_ID NUMBER(7,0) NOT NULL, 
		FUNCIONSISTEMA_ID NUMBER(7,0), 
	 	PRIMARY KEY ("AUDITSERVICE_ID"),
	 	CONSTRAINT "FK_SERVICEAUDIT_MODULEAUDIT" FOREIGN KEY ("AUDITMODULE_ID") REFERENCES AUDIT_MODULE("AUDITMODULE_ID"), 
	 	CONSTRAINT "FK_FUNCIONSISTEMA_AUDITSERVICE" FOREIGN KEY ("FUNCIONSISTEMA_ID") REFERENCES FUNCION_SISTEMA("FUNCIONSISTEMA_ID")
	);
CREATE TABLE
	AUDIT_ACTION 
   (	
   		AUDITACTION_ID NUMBER(2,0) NOT NULL, 
		ACTIONNAME VARCHAR2(180 BYTE) NOT NULL, 
	 	PRIMARY KEY ("AUDITACTION_ID")
   );
CREATE TABLE 
	AUDIT_LOG 
   (
   		AUDITLOG_ID NUMBER(7,0) NOT NULL, 
		AUDITACTION_ID NUMBER(2,0) NOT NULL, 
		SISTEMA_ID NUMBER(7,0) NOT NULL, 
		CREATED_DATE DATE NOT NULL, 
		ENTITY_NAME VARCHAR2(180 BYTE) NOT NULL, 
		USUARIO_ID NUMBER(7,0) NOT NULL, 
		ENTITY_DETAIL VARCHAR2(4000 BYTE) NOT NULL, 
		AUDITSERVICE_ID NUMBER(7,0) NOT NULL, 
	 	PRIMARY KEY ("AUDITLOG_ID"),
	 	CONSTRAINT "FK_AUDITACTION_AUDITLOG" FOREIGN KEY ("AUDITACTION_ID") REFERENCES AUDIT_ACTION("AUDITACTION_ID"),
	 	CONSTRAINT "FK_SISTEMA_AUDITLOG" FOREIGN KEY ("SISTEMA_ID") REFERENCES SISTEMA("SISTEMA_ID"),
	 	CONSTRAINT "FK_USUARIO_AUDITLOG" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID"),
	 	CONSTRAINT "FK_AUDITSERVICE_AUDITLOG" FOREIGN KEY ("AUDITSERVICE_ID") REFERENCES AUDIT_SERVICE("AUDITSERVICE_ID")
	);

CREATE SEQUENCE AUDIT_LOG_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999999999999999999999999
MINVALUE 1 NOCYCLE CACHE 20 NOORDER;

Insert into AUDIT_ACTION (AUDITACTION_ID,ACTIONNAME) values ('1','Criao de Registro');
Insert into AUDIT_ACTION (AUDITACTION_ID,ACTIONNAME) values ('2','Alterao de registro');
Insert into AUDIT_ACTION (AUDITACTION_ID,ACTIONNAME) values ('3','Excluso de Registro');

Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('1','Criao/ Alterao de Servio','1');
Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('2','Alterao de Preo','1');
Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('3','Bloqueio dos servios','1');
Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('4','Criao e alterao de usurios','1');
Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('5','Linha','1');
Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('6','Alterao de Perfil','1');
Insert into AUDIT_MODULE (AUDITMODULE_ID,NAMEMODULE,INDAUDITABLE) values ('7','Manuteno de servios','1');

Insert into AUDIT_SERVICE (AUDITSERVICE_ID,NAMESERVICE,AUDITMODULE_ID,FUNCIONSISTEMA_ID) values ('1','/Ajustar_corridas/CancelarCorridas','1',null);
Insert into AUDIT_SERVICE (AUDITSERVICE_ID,NAMESERVICE,AUDITMODULE_ID,FUNCIONSISTEMA_ID) values ('2','/Ajustar_corridas/ExcluirCorridas','1',null);
Insert into AUDIT_SERVICE (AUDITSERVICE_ID,NAMESERVICE,AUDITMODULE_ID,FUNCIONSISTEMA_ID) values ('3','/Ajustar_corridas/ReactivarCorridas','1',null);
Insert into AUDIT_SERVICE (AUDITSERVICE_ID,NAMESERVICE,AUDITMODULE_ID,FUNCIONSISTEMA_ID) values ('5',null,'4','193');
Insert into AUDIT_SERVICE (AUDITSERVICE_ID,NAMESERVICE,AUDITMODULE_ID,FUNCIONSISTEMA_ID) values ('6',null,'2','180');
